{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            EDITAR MECANICO <div class="weight-600 font-30 text-blue" center>
          </div>
          </h4>
        </div>
        <div class="col-md-8">
      </div>
    </div>
    <form data-live-search="true" data-live-search-style="startsWith" class="selectpicker"
     action="/procesarActualizacionMecanico/" method="post" enctype="multipart/form-data" id="frm_nuevo_mecanico">
    {% csrf_token %}
    <div class="container">
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
              <input type="hidden" name="id"  value="{{mecanico.id}}">
                <label for="nombre">Ingrese el nombre</label>
                <input type="text" name="nombre" id="nombre" value="{{mecanico.nombre}}" placeholder="Ingrese el nombre" class="form-control" required>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label for="especialidad">Ingrese la especialidad</label>
                <input type="text" name="especialidad" id="especialidad"   value="{{mecanico.especialidad}}" placeholder="Ingrese la especialidad" class="form-control" required>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label for="telefono">Ingrese el teléfono</label>
                <input type="number" name="telefono" id="telefono" value="{{mecanico.telefono}}" placeholder="Ingrese el teléfono" class="form-control" required>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label for="correo">Ingrese el correo</label>
                <input type="email" name="correo" id="correo" value="{{mecanico.correo}}" placeholder="Ingrese el correo" class="form-control" required>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label for="foto">Foto</label>
                <input type="file" name="foto" id="foto" value="{{mecanico.foto}}" placeholder="Ingrese la foto" class="form-control" >
            </div>
            <script>
    // Javascript para actualizar la imagen al cargar la página
    document.addEventListener('DOMContentLoaded', function () {
        var imgSrc = "{{ mecanico.foto.url }}";
        var imagenPreview = document.getElementById('imagen-preview');

        // Verificar si la imagen existe y es válida
        if (imgSrc) {
            imagenPreview.src = imgSrc;
        }
    });
</script>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Guardar</button>
            <a type="button" class="btn btn-danger" href="/listadoMecanico/">Cancelar</a>
        </div>
    </div>
    </div>
    </form>
    <script type="text/javascript">
      $("#frm_nuevo_mecanico").validate({
                rules: {
                    nombre: {
                        required: true,
                        letterswithspace: true
                    },
                    especialidad: {
                        required: true,
                        lettersonly: true
                    },
                    telefono: {
                        required: true,
                        digits: true,
                        minlength: 10,
                        maxlength: 10
                    },
                    correo: {
                        required: true,
                        email: true
                    }
                },
                messages: {
                    nombre: {
                        required: "Por favor, ingrese el nombre.",
                        letterswithspace: "Solo se permiten letras y espacios en blanco."
                    },
                    especialidad: {
                        required: "Por favor, ingrese la especialidad.",
                        lettersonly: "Solo se permiten letras."
                    },
                    telefono: {
                        required: "Por favor, ingrese el teléfono.",
                        digits: "Ingrese solo números.",
                        minlength: "El teléfono debe tener al menos 10 dígitos.",
                        maxlength: "El teléfono no puede tener más de 10 dígitos."
                    },
                    correo: {
                        required: "Por favor, ingrese el correo.",
                        email: "Ingrese un correo electrónico válido."
                    }
                }
            });

            // Métodos personalizados para las reglas específicas
            $.validator.addMethod("letterswithspace", function (value, element) {
                return this.optional(element) || /^[a-zA-Z\s]*$/.test(value);
            });

            $.validator.addMethod("lettersonly", function (value, element) {
                return this.optional(element) || /^[a-zA-Z]*$/.test(value);
            });

    </script>
    </div>
  </div>

</div>

{% endblock %}
